package com.sztzjy.trade.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * tch_exam_manage
 */
public class TchExamManage {
    @ApiModelProperty("考试ID")
    private String examId;

    @ApiModelProperty("开课ID")
    private String startCourseId;

    @ApiModelProperty("考试名称")
    private String examName;

    @ApiModelProperty("考试班级（多个班级逗号隔开）")
    private String examClass;

    @ApiModelProperty("考试开始时间")
    private Date examStartingTime;

    @ApiModelProperty("考试结束时间")
    private Date examEndTime;

    @ApiModelProperty("平均答对数量")
    private Integer averageAnswerQuantity;

    @ApiModelProperty("平均答错数量")
    private Integer averageIncorrectAnswersQuantity;

    @ApiModelProperty("平均正确率")
    private BigDecimal averageAccuracy;

    @ApiModelProperty("平均得分")
    private BigDecimal averageScore;

    @ApiModelProperty("1、发布 0、未发布")
    private Integer state;

    @ApiModelProperty("用户ID")
    private String userId;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty("作答次数")
    private Integer answersFrequency;

    @ApiModelProperty("题目是否乱序（1、是 0、否）")
    private Integer topicNumberState;

    @ApiModelProperty("选项是否乱序（1、是 0、否）")
    private Integer optionNumberState;

    @ApiModelProperty("答完是否显示解析（1、是 0、否）")
    private Integer parsingState;

    @ApiModelProperty("答完是否显示对错（1、是 0、否）")
    private Integer answerSate;

    @ApiModelProperty("抽取的题目ID（逗号隔开）")
    private String topicId;

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId == null ? null : examId.trim();
    }

    public String getStartCourseId() {
        return startCourseId;
    }

    public void setStartCourseId(String startCourseId) {
        this.startCourseId = startCourseId == null ? null : startCourseId.trim();
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName == null ? null : examName.trim();
    }

    public String getExamClass() {
        return examClass;
    }

    public void setExamClass(String examClass) {
        this.examClass = examClass == null ? null : examClass.trim();
    }

    public Date getExamStartingTime() {
        return examStartingTime;
    }

    public void setExamStartingTime(Date examStartingTime) {
        this.examStartingTime = examStartingTime;
    }

    public Date getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Date examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Integer getAverageAnswerQuantity() {
        return averageAnswerQuantity;
    }

    public void setAverageAnswerQuantity(Integer averageAnswerQuantity) {
        this.averageAnswerQuantity = averageAnswerQuantity;
    }

    public Integer getAverageIncorrectAnswersQuantity() {
        return averageIncorrectAnswersQuantity;
    }

    public void setAverageIncorrectAnswersQuantity(Integer averageIncorrectAnswersQuantity) {
        this.averageIncorrectAnswersQuantity = averageIncorrectAnswersQuantity;
    }

    public BigDecimal getAverageAccuracy() {
        return averageAccuracy;
    }

    public void setAverageAccuracy(BigDecimal averageAccuracy) {
        this.averageAccuracy = averageAccuracy;
    }

    public BigDecimal getAverageScore() {
        return averageScore;
    }

    public void setAverageScore(BigDecimal averageScore) {
        this.averageScore = averageScore;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getAnswersFrequency() {
        return answersFrequency;
    }

    public void setAnswersFrequency(Integer answersFrequency) {
        this.answersFrequency = answersFrequency;
    }

    public Integer getTopicNumberState() {
        return topicNumberState;
    }

    public void setTopicNumberState(Integer topicNumberState) {
        this.topicNumberState = topicNumberState;
    }

    public Integer getOptionNumberState() {
        return optionNumberState;
    }

    public void setOptionNumberState(Integer optionNumberState) {
        this.optionNumberState = optionNumberState;
    }

    public Integer getParsingState() {
        return parsingState;
    }

    public void setParsingState(Integer parsingState) {
        this.parsingState = parsingState;
    }

    public Integer getAnswerSate() {
        return answerSate;
    }

    public void setAnswerSate(Integer answerSate) {
        this.answerSate = answerSate;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId == null ? null : topicId.trim();
    }
}