package com.sztzjy.trade.entity.dto.tch;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author tz
 * @date 2024/8/5 15:56
 */
@Data
public class TchHomeworkExamDTO {
    @ApiModelProperty("主键ID(新增可以不传)")
    private String id;

    @ApiModelProperty("用户ID")
    private String  userId;

    @ApiModelProperty("作业/考试名称")
    private String name;

    @ApiModelProperty("类型（题库作业/附件作业/考试）")
    private String type;

    @ApiModelProperty("班级集合")
    private List<String> classNameList;

    @ApiModelProperty("起始时间")
    private Date startingTime;

    @ApiModelProperty("终止时间")
    private Date endTime;

    @ApiModelProperty("作业要求")
    private String homeworkAsk;

    @ApiModelProperty("作答次数")
    private Integer answersFrequency;

    @ApiModelProperty("题目是否乱序（1、是 0、否）")
    private Integer topicNumberState;

    @ApiModelProperty("选项是否乱序（1、是 0、否）")
    private Integer optionNumberState;

    @ApiModelProperty("答完是否显示解析（1、是 0、否）")
    private Integer parsingState;

    @ApiModelProperty("答完是否显示对错（1、是 0、否）")
    private Integer answerSate;

    @ApiModelProperty("抽取的题目ID的集合")
    private List<String> topicId;

    @ApiModelProperty("选题详情")
    private List<TchTopicDetailsDTO> topicDetailsDTOS;
}
