package com.sztzjy.trade.mapper;

import com.sztzjy.trade.entity.StuUser;
import com.sztzjy.trade.entity.StuUserExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface StuUserMapper {
    long countByExample(StuUserExample example);

    int deleteByExample(StuUserExample example);

    int deleteByPrimaryKey(String userId);

    int insert(StuUser record);

    int insertSelective(StuUser record);

    List<StuUser> selectByExample(StuUserExample example);

    StuUser selectByPrimaryKey(String userId);

    int updateByExampleSelective(@Param("record") StuUser record, @Param("example") StuUserExample example);

    int updateByExample(@Param("record") StuUser record, @Param("example") StuUserExample example);

    int updateByPrimaryKeySelective(StuUser record);

    int updateByPrimaryKey(StuUser record);

    List<StuUser> getStartCourseNameList(@Param("classNames")List<String> classNames);

    List<StuUser> selectByCourseName(String startCourseName);

    /**
     * 查询学校所有班级名称
     * @param schoolId 学校ID学校ID
     * @return 班级名称集合
     */
    List<String> selectByClassName(String schoolId);


    /**
     * 根据班级名称查询所有不在班级集合中的学生信息
     * @param strings 班级名称集合
     * @param schoolId 学校ID
     * @return 学生信息
     */
    List<String> selectByNoClassName(@Param("strings") List<String> strings,String schoolId);

    /**
     * 根据班级名称查询学生信息
     * @param lists 班级名称集合
     * @param schoolId 学校ID
     * @return 学生信息
     */
    List<StuUser> selectStuList(@Param("lists") List<String> lists, String schoolId);
}