package com.sztzjy.trade.service.impl;/**
 * @author 17803
 * @date 2024-05-07 9:58
 */

import com.sztzjy.trade.config.security.JwtUser;
import com.sztzjy.trade.entity.*;
import com.sztzjy.trade.mapper.StuUserMapper;
import com.sztzjy.trade.service.StuUserService;
import com.sztzjy.trade.util.TzApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.*;

@Service
public class StuUserServiceImpl implements StuUserService {



    @Autowired
    private StuUserMapper userMapper;






    @Override
    public void insertAll(JwtUser user) {
        List<Map<String, Object>> classList = TzApi.GetClassBySchoolIdForForeignExchangeTrading(user);
        if (classList == null || classList.size() == 0) {
            return;
        }
        List<StuUser> users = new ArrayList<>();
        Set<String> userIds = new HashSet<>();
        String schoolId = String.valueOf(user.getSchoolId());
        for (Map<String, Object> classes : classList) {
            String classId = classes.get("id").toString();
            List<Map<String, Object>> studentList = TzApi.GetStudentInfoByClassIdForForeignExchangeTrading(classId, user);
            if (studentList == null || studentList.size() == 0) continue;
            for (Map<String, Object> student : studentList) {
                StuUser stuUser = new StuUser();
                stuUser.setUserId(student.get("userId").toString());
                if (student.get("userId").toString().equals("null") || student.get("userId").toString().equals("8184") || student.get("userId").toString().equals("8238") || student.get("userId").toString().equals("8258") || student.get("userId").toString().equals("8259") || student.get("userId").toString().equals("8260") || student.get("userId").toString().equals("8270")) {
                    continue;
                }

                if (!userIds.add(stuUser.getUserId())) {
                    continue;
                }
                stuUser.setStudentId(student.get("studentId").toString());
                stuUser.setStudentId(student.get("studentNo").toString());
                stuUser.setSchoolName(student.get("schoolName").toString());
//                stuUser.setMajor(student.get("majorName").toString());
                stuUser.setName(student.get("name").toString());
                stuUser.setClassId(classId);
                stuUser.setClassName(classes.get("name").toString());
                stuUser.setSchoolId(schoolId);
                stuUser.setPassword("123qwe");
//                stuUser.setLoanCasesScore(BigDecimal.valueOf(0));
//                stuUser.setPerSituationScore(BigDecimal.valueOf(0));
//                stuUser.setRepaymentBehaviorScore(BigDecimal.valueOf(0));
//                stuUser.setPerInfluenceFactorScore(BigDecimal.valueOf(0));
//                stuUser.setPerCreditOptimizationSocre(BigDecimal.valueOf(0));
//                stuUser.setPerCreditRatingSocre(BigDecimal.valueOf(0));
//                stuUser.setEntInfluenceFactorSocre(BigDecimal.valueOf(0));
//                stuUser.setEntCreditOptimizationSocre(BigDecimal.valueOf(0));
//                stuUser.setEntCreditRatingSocre(BigDecimal.valueOf(0));
//                stuUser.setCaseUserProfileSocre(BigDecimal.valueOf(0));
//                stuUser.setCasePersonalCreditScore(BigDecimal.valueOf(0));
//                stuUser.setCaseCorporateCreditScore(BigDecimal.valueOf(0));
//                stuUser.setCaseCorporateCreditSubScore(BigDecimal.valueOf(0));
//                stuUser.setCaseCorporateCreditObjScore(BigDecimal.valueOf(0));
//                stuUser.setCasePersonalCreditSubScore(BigDecimal.valueOf(0));
//                stuUser.setCasePersonalCreditObjScore(BigDecimal.valueOf(0));
//
//                stuUser.setCreditPortraitScore(BigDecimal.valueOf(0));
//                stuUser.setPersonalCreditScore(BigDecimal.valueOf(0));
//                stuUser.setCorporateCreditScore(BigDecimal.valueOf(0));
//                stuUser.setComprehensiveCaseScore(BigDecimal.valueOf(0));

                stuUser.setTotalScore(BigDecimal.valueOf(0));
                users.add(stuUser);
            }
        }


//        userMapper.batchInsertStudents(users);


        //根据学校id 查询成绩总览权重表中是否有数据 有则不进行操作 没有则新增权重
//        TchModuleWeithExample resultsExample = new TchModuleWeithExample();
//        resultsExample.createCriteria().andSchoolIdEqualTo(schoolId);
//        List<TchModuleWeith> resultsWeights = tchModuleWeithMapper.selectByExample(resultsExample);
//        if (resultsWeights.isEmpty()) {
//            TchModuleWeith tchModuleWeith = new TchModuleWeith(schoolId);
//
//            tchModuleWeithMapper.insertSelective(tchModuleWeith);
//        }
    }


    /**
     * 开放接口,自动同步学生信息
     *
     * @param studentList
     * @return
     */

    @Override
    public void insertAllByAuto(List<ZYUserInfo> studentList) {

        if (studentList.isEmpty()) {
            return;
        }
        List<StuUser> users = new ArrayList<>();


        for (ZYUserInfo student : studentList) {
            StuUser stuUser = new StuUser();
            //基本信息
            stuUser.setUserId(student.getUserId().toString());
            if (student.getUserId().equals("null") || student.getUserId().equals("8184")
                    || student.getUserId().equals("8238")
                    || student.getUserId().equals("8258") || student.getUserId().equals("8259")
                    || student.getUserId().equals("8260") || student.getUserId().equals("8270")) {
                continue;
            }
            stuUser.setName(student.getUsername());
            stuUser.setPassword(student.getPassword());
            stuUser.setRoleId(student.getRoleId());
            stuUser.setSchoolId(student.getSchoolId().toString());
            stuUser.setSchoolName(student.getSchoolName());
            stuUser.setClassId(student.getClassId().toString());
            stuUser.setClassName(student.getClassName());
//
//            stuUser.setLoanCasesScore(BigDecimal.valueOf(0));
//            stuUser.setPerSituationScore(BigDecimal.valueOf(0));
//            stuUser.setRepaymentBehaviorScore(BigDecimal.valueOf(0));
//            stuUser.setPerInfluenceFactorScore(BigDecimal.valueOf(0));
//            stuUser.setPerCreditOptimizationSocre(BigDecimal.valueOf(0));
//            stuUser.setPerCreditRatingSocre(BigDecimal.valueOf(0));
//            stuUser.setEntInfluenceFactorSocre(BigDecimal.valueOf(0));
//            stuUser.setEntCreditOptimizationSocre(BigDecimal.valueOf(0));
//            stuUser.setEntCreditRatingSocre(BigDecimal.valueOf(0));
//            stuUser.setCaseUserProfileSocre(BigDecimal.valueOf(0));
//            stuUser.setCasePersonalCreditScore(BigDecimal.valueOf(0));
//            stuUser.setCaseCorporateCreditScore(BigDecimal.valueOf(0));
//            stuUser.setCaseCorporateCreditSubScore(BigDecimal.valueOf(0));
//            stuUser.setCaseCorporateCreditObjScore(BigDecimal.valueOf(0));
//            stuUser.setCasePersonalCreditSubScore(BigDecimal.valueOf(0));
//            stuUser.setCasePersonalCreditObjScore(BigDecimal.valueOf(0));
//
//            stuUser.setCreditPortraitScore(BigDecimal.valueOf(0));
//            stuUser.setPersonalCreditScore(BigDecimal.valueOf(0));
//            stuUser.setCorporateCreditScore(BigDecimal.valueOf(0));
//            stuUser.setComprehensiveCaseScore(BigDecimal.valueOf(0));

            stuUser.setTotalScore(BigDecimal.valueOf(0));

            users.add(stuUser);


        }

//        userMapper.batchInsertStudents(users);
        //根据学校id 查询成绩总览权重表中是否有数据 有则不进行操作 没有则新增权重
//        TchModuleWeithExample resultsExample = new TchModuleWeithExample();
//        resultsExample.createCriteria().andSchoolIdEqualTo(users.get(0).getSchoolId());
//        List<TchModuleWeith> resultsWeights = tchModuleWeithMapper.selectByExample(resultsExample);
//        if (resultsWeights.isEmpty()) {
//            TchModuleWeith tchModuleWeith = new TchModuleWeith(users.get(0).getSchoolId());
//
//            tchModuleWeithMapper.insertSelective(tchModuleWeith);
//        }

    }
}