package com.sztzjy.trade.util.compute;

import com.sztzjy.trade.util.BigDecimalUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author tz
 * @date 2023/8/31 15:05
 */
@Component
public class ScoringUtil {
//    private  Double fraction=0.00;
    @Resource
    BigDecimalUtils bigDecimalUtils;

    /**
     * 计算知识概要分数
     * @param v1 观看时常(分钟)
     * @param v2 每分钟得分
     * @return
     */
    public double getStuKnowledgeSummaryScoring(double v1, double v2) {
        Double fraction=0.00;
        if (v1 < 1) {

            return fraction;
        } else if (v1 >= 100 / v2) {
            return 100;
        } else if (v1 >= 1 && v1 < 100 / v2) {
//            BigDecimal a = new BigDecimal(v1);
//            BigDecimal b = new BigDecimal(v2);
//             fraction = a.multiply(b).setScale(1).doubleValue();


            fraction = bigDecimalUtils.mul(v1, v2, 1);
            return fraction;
        }
        return fraction;
    }

    /**
     * 计算资源学习分数
     * @param v1 观看时常(分钟)
     * @param v2 每分钟得分
     * @return
     */
    public double getStuResourcesScoring(double v1, double v2) {
        Double fraction=0.00;
        if (v1 < 1) {
            return fraction;
        } else if (v1 >= 100 / v2) {
            return 100;
        } else if (v1 >= 1 && v1 < 100 / v2) {
            fraction = bigDecimalUtils.mul(v1, v2, 1);
            return fraction;
        }
        return fraction;
    }

    /**
     * 计算学习测评分数
     * @param v1 错误个数
     * @param v2 每对错一题所扣分数
     * @return
     */
    public double getStuLearningAssessmentScoring(int v1,double v2){
        Double fraction=0.00;
        double mul = bigDecimalUtils.mul(v1, v2, 1);
        fraction=100-mul;
        if(fraction<0){
            return 0;
        }
        return fraction;
    }

    public double getStuTrainingScoring(int v1,double v2){
        Double fraction=0.00;
        double mul = bigDecimalUtils.mul(v1, v2, 1);
        fraction=100-mul;
        if(fraction<0){
            return 0;
        }
        return fraction;
    }
}

