package com.sztzjy.trade.util.excel;

import com.sztzjy.trade.annotation.ExcelValid;

import java.lang.reflect.Field;
import java.util.Objects;

public class ExcelImportValid {
    /**
     * Excel导入字段校验
     * @param object 校验的JavaBean 其属性须有自定义注解
     */
    public static String valid(Object object) {
        Field[] fields = object.getClass().getDeclaredFields();
        for (Field field : fields) {
            //设置可访问
            field.setAccessible(true);
            //属性的值
            Object fieldValue = null;
            try {
                fieldValue = field.get(object);
            } catch (IllegalAccessException e) {
                throw new RuntimeException(field.getAnnotation(ExcelValid.class).message());
               // return field.getAnnotation(ExcelValid.class).message();
            }
            //是否包含必填校验注解
            boolean isExcelValid = field.isAnnotationPresent(ExcelValid.class);
            if (isExcelValid && Objects.isNull(fieldValue)) {
                //throw new RuntimeException(field.getAnnotation(ExcelValid.class).message());
                return field.getAnnotation(ExcelValid.class).message();
            }
        }
        return "成功";
    }
}